Package org.apache.struts2.ognl.accessor

# Class XWorkMapPropertyAccessor

java.lang.Object
ognl.MapPropertyAccessor
org.apache.struts2.ognl.accessor.XWorkMapPropertyAccessor

All Implemented Interfaces:
  `ognl.PropertyAccessor`

public class XWorkMapPropertyAccessor extends ognl.MapPropertyAccessor
Implementation of PropertyAccessor that sets and gets properties by storing and looking up values in Maps.

Author:
  Gabriel Zimmerman

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `XWorkMapPropertyAccessor()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Object`
  `getProperty(Map context, Object target, Object name)`
  `void`
  `setObjectFactory(ObjectFactory fac)`
  `void`
  `setObjectTypeDeterminer(ObjectTypeDeterminer ot)`
  `void`
  `setProperty(Map context, Object target, Object name, Object value)`
  `void`
  `setXWorkConverter(XWorkConverter conv)`

  ### Methods inherited from class ognl.MapPropertyAccessor

  `getSourceAccessor, getSourceSetter`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### XWorkMapPropertyAccessor

    public XWorkMapPropertyAccessor()

- ## Method Details

  - ### setXWorkConverter

    public void setXWorkConverter(XWorkConverter conv)

  - ### setObjectFactory

    public void setObjectFactory(ObjectFactory fac)

  - ### setObjectTypeDeterminer

    public void setObjectTypeDeterminer(ObjectTypeDeterminer ot)

  - ### getProperty

    public Object getProperty(Map context, Object target, Object name) throws ognl.OgnlException
    Specified by:
      `getProperty` in interface `ognl.PropertyAccessor`
    Overrides:
      `getProperty` in class `ognl.MapPropertyAccessor`
    Throws:
      `ognl.OgnlException`

  - ### setProperty

    public void setProperty(Map context, Object target, Object name, Object value) throws ognl.OgnlException
    Specified by:
      `setProperty` in interface `ognl.PropertyAccessor`
    Overrides:
      `setProperty` in class `ognl.MapPropertyAccessor`
    Throws:
      `ognl.OgnlException`